Bug 248141 - lockup in shrink_zone when node out of memory
lockup in shrink_zone when node out of memory
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
urgent Severity high
: ---
: ---
Assigned To: Larry Woodman
Martin Jenner
: ZStream
Depends On: 205722
  Show dependency treegraph
Reported: 2007-07-13 08:54 EDT by Ludek Smid
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2007-0774
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-04 10:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ludek Smid 2007-07-13 08:54:10 EDT
This bug has been copied from bug #205722 and has been proposed to be backported
to 4.5 z-stream (EUS).
Comment 2 Don Howard 2007-07-31 17:28:02 EDT
A patch addressing this issue has been included in build 2.6.9-55.0.3.EL.
Comment 5 Larry Woodman 2007-08-29 10:42:35 EDT
Can you run the repro_oom test with this kernel:


Larry Woodman
Comment 6 Larry Woodman 2007-08-30 16:51:08 EDT
The patch included in the 4.5.z kernel is not intended to fix the hang seen
running the repro-oom.C program.  This patch address a hang issue seen while
running a mix of Database, JVM and fils system backup operations all running at
the same time.  The patch has been tested and verified at the customers(Lehman
Bros, Goldman Sachs, etc).  Also, this patch has no effect on the system unless
/proc/sys/vm/pagecache is lowered from its default value of 100.

Larry Woodman
Comment 9 Red Hat Bugzilla 2007-09-04 10:37:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.